<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td valign="middle" class="icon"><img src="images/bullet.gif" /></td>
            <td class="amenu"><div align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
            </xsl:when>
            
            
            <xsl:otherwise>
            <td valign="middle" class="icon"><img src="images/bullet.gif" /></td>
            <td class="menu"><div align="center"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td valign="bottom" style="width:2px;background-repeat:no-repeat;padding-left:2px;padding-right:2px;"><img src="images/line_top.gif" width="17" height="23"/></td>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
