﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- cafe_and_restaurant-002 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/color.jpg">
  <tr>
    <td height="100%" align="left" valign="top" style="background-image: url(images/bg.gif);background-repeat: repeat-x;background-position: left top;">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-image: url(images/bg_top.gif);background-repeat: no-repeat;background-position: left top;">
  <tr>
    <td height="100%" style="background-image: url(images/bg_bottom.gif);background-repeat: no-repeat;background-position: right bottom;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="width:72px;"><img src="images/space.gif" width="72" height="1" /></td>
        <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="70"><table width="100%" height="70"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="200" rowspan="2"></td>
                <td height="60" align="left" valign="bottom"><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="10" align="left"></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="234" align="left" valign="top" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;"><table width="220" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="40" colspan="2"><img src="images/space.gif" width="100" height="40" /></td>
                </tr>
              <tr>
                <td width="55" rowspan="2" valign="top" style="padding-bottom:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                <td valign="top" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
              <br/></td>
          </tr>
          <tr>
            <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="201" rowspan="2" align="left" valign="top" style="background-image: url(images/sub1.jpg);background-repeat: no-repeat;background-position: left top;">
                  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="50" align="left" valign="top"><img src="images/space.gif" width="72" height="1" /></td>
                    </tr>
                  <tr>
                    <td height="120" align="center" valign="top" background="images/subbg.jpg"><table width="165"  border="0" cellspacing="0" cellpadding="0">
                      <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                    </table></td>
                  </tr>
                  <tr>
                    <td align="left" valign="top"><img src="images/sub3.gif" width="201" height="21" /></td>
                  </tr>
                </table>
                  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><img src="images/left.gif" width="201" height="61" /></td>
                    </tr>
                  </table></td>
                <td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/textleft.jpg);background-repeat: no-repeat;background-position: left top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="83" height="53" align="left" valign="top"><img src="images/textleft.jpg" width="83" height="53" /></td>
                    <td width="100%" bgcolor="#FFFFFF"></td>
                    <td width="25" align="left" valign="top" bgcolor="#FFFFFF"><img src="images/textright.jpg" width="25" height="50" /></td>
                  </tr>
                  <tr>
                    <td background="images/textleft2.gif"></td>
                    <td height="100%" align="left" valign="top" bgcolor="#FFFFFF"><table  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td valign="bottom" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          <td valign="top"><img src="images/text_icon.gif" width="17" height="19" /></td>
                        </tr>
                      </table>
                        <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                          <tr>
                            <td height="100%" align="left" valign="top" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                          </tr>
                      </table></td>
                    <td bgcolor="#FFFFFF"></td>
                  </tr>
                  <tr>
                    <td height="26" align="left" valign="top"><img src="images/textleft3.gif" width="83" height="26" /></td>
                    <td bgcolor="#FFFFFF"></td>
                    <td align="left" valign="top"><img src="images/textright2.gif" width="25" height="26" /></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="30" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="20"><img src="images/space.gif" width="20" height="50" /></td>
                    <td align="left"><table border="0" cellspacing="0" cellpadding="0">
                        <tr> <xsl:call-template name="BOTTOM-MENU"/>
                            <td width="10"><img src="images/space.gif" width="10" height="10" /></td>
                        </tr>
                    </table></td>
                  </tr>
                  <tr align="center">
                    <td height="45" colspan="2" class="copyright" style="padding-bottom:30px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="60" style="width:60px;"><img src="images/space.gif" width="60" height="1" /></td>
      </tr>
    </table>
	</td>
  </tr>
</table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="9"><img src="images/subicon.gif" width="9" height="7" /></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="9"><img src="images/subicon.gif" width="9" height="7" /></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="25"><img src="images/subline.gif" width="165" height="13" /></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td class="bmenu"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="20"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
