<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>
<html>
<!-- cafe_and_restaurant-004 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">

<table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" HEIGHT="100%" style="background-image: url(images/main-bg.gif); background-repeat: repeat;">
    <tr>
        <td width="100%" height="69">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%" class="main-bg">
                <tr>
                    <td width="100%" height="69"><span></span></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="3">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_trcorner.gif" width="3" height="3"/></td>
                    <td width="100%" style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><span></span></td>
                    <td><img src="images/menu_line_tlcorner.gif" width="3" height="3"/></td>                    
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="62">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px;"><span></span></div></td>
                    <td width="100%" class="menu-bg" align="center">
                        <!-- menu --> 
                        <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
								<td width="77"><div style="width: 5px; height: 0px;"><span></span></div></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="77"><div style="width: 5px; height: 0px;"><span></span></div></td>						
                            </tr>
                        </table>
                        <!-- /menu --> 
                    </td>
                    <td width="100%" class="menu-bg"><span></span></td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px;"><span></span></div></td>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="3">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td style="background-image: url(images/main-small-line.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_rcross.gif" width="3" height="3"/></td>
                    <td width="100%" style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><span></span></td>
                    <td><img src="images/menu_line_lcross.gif" width="3" height="3"/></td>                    
                    <td style="background-image: url(images/main-small-line.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="151">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td style="background-image: url(images/main-small-bg.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px;"><span></span></div></td>
                    <td width="100%" style="background: #544D3A; background-image : url(images/header.jpg);	background-repeat : no-repeat;	background-position : left; padding-right: 30px; padding-left:380px;" valign="middle">
						<table border="0" cellpadding="0" cellspacing="0" align="right">
							<tr>
								<td align="center"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
							</tr>
							<tr><td class="company" align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td class="slogan" align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
					</td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px;"><span></span></div></td>                    
                    <td style="background-image: url(images/main-small-bg.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>
	<tr>
        <td width="100%" height="3">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td style="background-image: url(images/main-small-line.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_lcross.gif" width="3" height="3"/></td>
                    <td style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><div style="width: 176px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_trcross.gif" width="3" height="3"/><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td width="100%" style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><span></span></td>
                    <td><img src="images/menu_line_rcross.gif" width="3" height="3"/></td>                    
                    <td style="background-image: url(images/main-small-line.gif); background-repeat: repeat;"><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="100%">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td class="submenu-bg" width="176" style="padding-top: 25px; padding-bottom: 25px; padding-left: 30px;" valign="top">
						<!-- submenu -->
						<table border="0" cellpadding="0" cellspacing="0" WIDTH="146" align="right">
							<xsl:call-template name="SUB-MENU">
								<xsl:with-param name="pageID" select="@ID"/>
							</xsl:call-template>
						</table>
						<!-- /submenu -->
					</td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td width="100%" style="background-image: url(images/content-bg.jpg); background-repeat: repeat; padding: 25px;" valign="top">
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr>
								<td style="padding-bottom: 20px;">
									<table cellpadding="0" cellspacing="0" border="0">
										<tr>
											<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
											<td style="padding-left: 10px; padding-top: 1px;"><img src="images/txtheader_bullet.gif" width="17" height="17" alt="" border="0"/></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
							</tr>
						</table>
					</td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>                    
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td width="100%" height="3">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_lcross.gif" width="3" height="3"/></td>
                    <td style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><div style="width: 176px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_brcross.gif" width="3" height="3"/></td>
                    <td width="100%" style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><span></span></td>
                    <td><img src="images/menu_line_rcross.gif" width="3" height="3"/></td>                    
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>    
    <tr>
        <td width="100%" height="56">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td width="100%" style="background-image: url(images/content-bg.jpg); background-repeat: repeat;" align="center">
						<!-- bottom menu -->
						<table border="0" cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- /bottom menu -->
					</td>
                    <td style="background-image: url(images/menu_line_vertical.gif); background-repeat: repeat;"><div style="width: 3px; height: 0px;"><span></span></div></td>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>    
    <tr>
        <td width="100%" height="3">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                    <td><img src="images/menu_line_blcorner.gif" width="3" height="3"/></td>
                    <td width="100%" style="background-image: url(images/menu_line_gorizontal.gif); background-repeat: repeat;"><span></span></td>
                    <td><img src="images/menu_line_brcorner.gif" width="3" height="3"/></td>                    
                    <td><div style="width: 121px; height: 0px;"><span></span></div></td>
                </tr>
            </table>
        </td>
    </tr>    
    <tr>
        <td width="100%" height="69">
            <table border="0" cellpadding="0" cellspacing="0" WIDTH="100%" style="height: 100%">
                <tr>
                    <td align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                </tr>
            </table>
        </td>
    </tr>
</table>

</body>
</html>

</xsl:template>

<xsl:template name="TOP-MENU">
<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
<xsl:param name="pageID"/>
<xsl:choose>
<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
</xsl:when>
<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
<xsl:choose>
<xsl:when test="@ID=/LAYOUT/@ID" > 
	<tr>
		<td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		<td style="padding-right: 30px;"><a href="#"><img src="images/submenu_bullet.gif" width="6" height="5" alt="" border="0"/></a></td>								
	</tr>
</xsl:when>
<xsl:otherwise>
<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
		<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<td style="padding-right: 30px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="6" height="5" alt="" border="0"/></a></td>								
	</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">
	<tr><td colspan="2" height="20"><img src="images/submenu_hr.gif" width="146" height="2" alt="" border="0"/></td></tr>
</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">   		
<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
<xsl:choose>
<!-- when vizited inside-->
<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	<td width="10"><div style="width: 5px; height: 0px;"><span></span></div></td>
	<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:when>
<!-- when active-->

<xsl:otherwise>
	<td width="10"><div style="width: 5px; height: 0px;"><span></span></div></td>
	<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">
	<td width="10"><div style="width: 5px; height: 0px;"><span></span></div></td>
	<td><img src="images/bmenu_separator.gif" width="9" height="58" alt="" border="0"/></td>
</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
<meta name="{local-name(.)}">
<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
</meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
<xsl:comment> EDITABLE CONTENT </xsl:comment>
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>
	
