<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-243 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY  TOPMARGIN="52" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url(images/bg1.gif);">
<table width="100%"  height="100%"  border="0" cellspacing="0" cellpadding="0" style="background:url(blue/images/bg2.gif) repeat-x;">
  <tr>
    <td valign="top">
      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg2.jpg);background-repeat: repeat-x;background-position: left top;">
  <tr>
    <td height="5"></td>
    <td width="780" rowspan="2" align="center" valign="top">
	    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
           <td height="5" align="left" valign="top"></td>
          </tr>
          <tr>
            <td height="66" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="16" align="left" valign="top"><img src="images/bg_tmenu3.gif" width="16" height="66"/></td>
                <td align="left" valign="middle" background="images/bg_tmenu.gif"><table align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <xsl:call-template name="TOP-MENU"/>
                  </tr>
                </table></td>
                <td width="14" align="right" valign="top"><img src="images/bg_tmenu2.gif" width="14" height="66"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="left" valign="top">
			   <table width="100%" height="207" border="0" align="center" cellpadding="0" cellspacing="0" background="images/header_bg.jpg">
                   <tr>
                    <td class="line1"><img src="images/space.gif"/></td>
                   </tr>
                   <tr>
                     <td align="right" valign="middle" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: right top;">
					 <table width="350" align="left" cellpadding="0" cellspacing="0" style="padding-top:10px;">
                       <tr>
                         <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                       </tr>
                       <tr>
                         <td align="center" class="company" style="padding-top:10px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                       </tr>
                       <tr>
                         <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                       </tr>
                     </table></td>
                  </tr>
            </table></td>
          </tr>
          <tr>
            <td align="left" valign="top"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="12" align="left" valign="top"><img src="images/bg_tleft.gif" width="12" height="4"/></td>
                <td align="left" valign="top" background="images/bg_tcent.gif"><img src="images/bg_tcent.gif" width="1" height="4"/></td>
                <td width="10" align="left" valign="top"><img src="images/bg_tright.gif" width="10" height="4"/></td>
              </tr>
              <tr>
                <td width="12" align="left" valign="top" background="images/bg_submenu1.gif"><img src="images/bg_submenu1.gif" width="12" height="1"/></td>
                <td align="left" valign="top" background="images/bg_submenu.gif"><table width="100%"  border="0" cellspacing="1" cellpadding="0">
                  <tr>
                    <td align="right" valign="top" background="images/bg_leftline.gif">
					<img src="images/bg_leftline.gif" width="162" height="1" />
					<br/>
					<br/>
					<table width="150" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="150" align="left">
						<table border="0" cellpadding="0" cellspacing="0">		
                        <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table>
						</td>
                      </tr>
                    </table>
 </td>
                    <td height="300" valign="top"><img src="images/space.gif" width="598" height="15"/>
                        <table cellpadding="0" cellspacing="0" border="0">
                          <tr>
                            <td class="text-header" style="padding-top:5px;padding-left:20px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td style="padding-left:6px;"><img src="images/icon_text.gif" alt="" width="17" height="17" border="0"/></td>
                          </tr>
                        </table>
                        <br/>
                        <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
                  </tr>
                </table></td>
                <td width="10" align="left" valign="top" background="images/bg_submenu2.gif"><img src="images/bg_submenu2.gif" width="10" height="1"/></td>
              </tr>
              <tr>
                <td width="12" align="left" valign="top"><img src="images/bg_left.gif" width="12" height="1"/></td>
                <td align="left" valign="top" background="images/bg_cent.gif"><img src="images/bg_cent.gif" width="2" height="1"/></td>
                <td align="left" valign="top"><img src="images/bg_right.gif" width="10" height="1"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="66" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="12" align="left" valign="top"><img src="images/bg_bmenu1.gif" width="12" height="66"/></td>
                <td align="center" valign="middle" background="images/bg_bmenu.gif"><table align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <xsl:call-template name="BOTTOM-MENU"/>
                  </tr>
                </table></td>
                <td width="13" align="right" valign="top"><img src="images/bg_bmenu2.gif" width="13" height="66"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td align="left" valign="top" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
    </table></td>
    <td></td>
  </tr>
  <tr>
    <td><img src="images/space.gif" width="1" height="1"/></td>
    <td><img src="images/space.gif" width="1" height="1"/></td>
  </tr>
</table></td>
  </tr>
</table>
</BODY>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		  <tr>
		  <td class="submenu" width="10" style="padding-right:5px;"><img src="images/icon_left.gif" width="6" height="5"/></td>
          <td  width="140" align="left"  class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		  <tr>
		  <td class="submenu" width="10" style="padding-right:5px;"><img src="images/icon_left.gif" width="6" height="5"/></td>
          <td  width="140" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr><td height="5" colspan="2"><img src="images/space.gif" width="150" height="5"/></td></tr>
	<tr>
   <td height="1" colspan="2" background="images/line.gif"><img src="images/space.gif" width="150" height="1"/></td>
    </tr>
<tr><td height="5" colspan="2"><img src="images/space.gif" width="150" height="5"/></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td style="padding-left:10px; padding-right:10px;" class="bmenua" id="abmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
           <td style="padding-left:10px; padding-right:10px;" class="bmenu" id="bmenu{position()}"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
           <td class="cmenu"><img src="images/line_bmenu.gif" width="2" height="8"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
