<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- cafe_and_restaurant-003 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
  <tr>
    <td height="240" colspan="2" align="center" background="images/header_bg.gif">
    
    	<table width="100%"  border="0" cellspacing="0" cellpadding="0"><tr><td height="240px" style="background:url(images/header_1.jpg) bottom left no-repeat;">
    	<table width="100%"  border="0" cellspacing="0" cellpadding="0"><tr><td height="240px" style="background:url(images/header_2.jpg) bottom right no-repeat;padding-top:9px;padding-left:6px;" valign="top">
    	<div style="width:552px;">
    		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
         	<tr>
            	<td height="63px" width="63px"><div style="width:63px; "></div><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
            	<td valign="bottom"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
             	 	<tr>
               	 		<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
             	 	</tr>
              		<tr>
                		<td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              		</tr>
            		</table></td>
          		</tr>
        	</table>
        </div>
    	</td></tr></table>
    	</td></tr></table>
    	
    </td>
    <td width="9px" height="240" valign="bottom"><img src="images/header_hr.gif" width="9px" height="240px"/></td>
    <td width="190px" height="240" rowspan="2" valign="top" style="background:url(images/submenu_bg.gif);">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  		<tr>
    		<td width="190px" valign="top" height="400px" style="padding-top:21px; background:url(images/submenu_pic.gif) no-repeat;">
    		
	<!--SUB MENU-->
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>                            </xsl:call-template>
    </table>
	<!--END SUB MENU-->
			
			</td>
		</tr>	
	</table>
	
	</td>
    
  </tr>
  <tr>
    <td height="100%" colspan="2"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td width="26" height="100%" background="images/content_left.gif"><div style="height:439px;width:26px"></div></td>
        <td class="main-bg" style="background-image:url(images/bg_1.gif);background-repeat:repeat-y;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
          <tr>
            <td height="100%" valign="top"  style="background-image:url(images/bg_2.gif);background-repeat:repeat-y;background-position:right;">
			
			
			
			  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="50"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="50" style="padding-right:15px;"><table  border="0" cellspacing="0" cellpadding="0">
                        <tr>
						<!--MENU-->
						 <xsl:call-template name="TOP-MENU"/>

						  <!--MENU-->
                        </tr>
                      </table></td>
                    </tr>
                  </table></td>
                </tr>
                <tr>
                  <td height="389" valign="top" class="pageContent" style="padding-top:35px;padding-right:20px;">
				  <table  border="0" cellspacing="0" cellpadding="0">
				  <!--CONTENT-->
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td align="left" style="padding-left:8px;"><img src="images/txtheader_bullet.gif" width="17px" height="17px"/></td>
                </tr>
              </table>
				  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td class="pageContent" name="SB_stretch" style="padding-top: 15px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
			</tr>
			</table>		
				  <!--END CONTENT-->
				  </td>
                </tr>
              </table>
			</td>
          </tr>
          <tr>
            <td height="61" align="right"><img src="images/text_bottom.gif" width="201" height="61"/></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
    <td valign="bottom" background="images/header_hr.gif"><img src="images/content_hr.gif" width="9px" height="50px"/></td>
    <td background="images/submenu_bg.gif" valign="top"></td>
  </tr>
  <tr>
    <td height="71" colspan="2" align="right"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="26" height="71"><div style="width:26px "><img src="images/bottom_left.gif" width="26px" height="71px"/></div></td>
        <td height="71" align="right" class="main-bg" style="background-image:url(images/bg_1.gif);background-repeat:repeat-y;"><img src="images/bottom_right.gif" width="201px" height="71px"/></td>
        </tr>
    </table></td>
    <td height="71"><img src="images/bottom_hr.gif" width="9px" height="71px"/></td>
    <td height="71" background="images/submenu_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <!--FOOTER-->
        <td height="71" align="center" class="footer">
        	<div style="width:190px;">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</div>		
        </td>
	  <!--FOOTER-->
      </tr>
    </table></td>
    <td height="71" background="images/submenu_bg.gif"></td>
  </tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
        <td height="30px" class="asubmenu" style="padding-left:25px;padding-top:7px;padding-bottom:7px;FILTER:Alpha(style=0,opacity=50);" background="images/submenu_bullet_click.gif"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        <td width="25px" height="30px" style="padding-right:10px;FILTER: Alpha(style=0,opacity=50);" background="images/submenu_bullet_click.gif"><img src="images/submenu_bullet.gif" width="24px" height="10px" border="0"/></td>
      </tr>
		
			
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
        <td height="30px" style="padding-left:25px;padding-top:7px;padding-bottom:7px;  "  ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td width="25px" height="30px" style="padding-right:10px ;" ><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="24px" height="10px" border="0"/></a></td>
      </tr>
			
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>