<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- cafe_and_restaurant-006 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image: url(images/diwen.gif);">
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/diwen.gif">
  <tr>
    <td >
<table style="background-image: url(images/diwen-2.gif);background-repeat: repeat-x;"   width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td >
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr>
   <td width="126"><img src="images/spacer.gif" width="116" height="1" border="0" /></td>
   <td width="47"><img src="images/spacer.gif" width="47" height="1" border="0" /></td>
   <td width="164"><img src="images/spacer.gif" width="164" height="1" border="0" /></td>
   <td width="271"><img src="images/spacer.gif" width="271" height="1" border="0" /></td>
   <td width="47"><img src="images/spacer.gif" width="47" height="1" border="0" /></td>
   <td width="125"><img src="images/spacer.gif" width="116" height="1" border="0" /></td>
  </tr>

  <tr>
   <td rowspan="6" align="right" valign="top"><img src="images/dileft.gif" /></td>
   <td height="66" colspan="4"></td>
   <td rowspan="6" align="left" valign="top"><img src="images/diright.gif" /></td>
  </tr>
  <tr>
   <td align="right" class="icon-1"><img  src="images/bullet2.gif"  border="0" /></td>
   <td colspan="2" align="center" style="background-image: url(images/bulletdi.gif); background-repeat: repeat-x; ">
   <table border="0" cellpadding="0" cellspacing="0">
     <tr>
<xsl:call-template name="TOP-MENU"/>
     </tr>
   </table></td>
   <td class="icon-1"><img  src="images/bullet3.gif"  border="0" /></td>
  </tr>
  <tr>
   <td colspan="2" align="right" style="background-image: url(images/logodi.jpg); background-repeat: repeat-y; background-position: right top; " >
   <table width="196" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td width="210"></td>
     </tr>
     <tr>
       <td height="80" align="center" valign="bottom"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
     </tr>
     <tr>
       <td class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
     </tr>
     <tr>
       <td valign="top" class="logox"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
     </tr>
   </table></td>
   <td align="right" background="images/headerxun.jpg"><img src="images/header.jpg" width="271" height="222"/></td>
   <td background="images/header2.jpg"></td>
  </tr>
  <tr>
   <td colspan="2" valign="top" background="images/subbulletdi.gif">
   <table width="198" border="0" cellspacing="0" cellpadding="0">
     <tr>
       <td height="20" colspan="4" ></td>
     </tr>
     <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
     </tr>
     <tr>
       <td height="20" colspan="5" ></td>
       </tr>
   </table></td>
   <td valign="top" background="images/textdi.gif" width="100%" height="100%" >
   <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" >
     <tr>
       <td  height="41">
	   <table height="45" border="0" cellpadding="0" cellspacing="0">
           <tr>
             <td width="21" height="35" rowspan="2"></td>
             <td height="20" colspan="2"></td>
           </tr>
           <tr>
             <td height="26" valign="middle" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td valign="middle"><img src="images/text.gif" hspace="3"/></td>
           </tr>
       </table></td>
     </tr>
     <tr >
       <td colspan="2" valign="top"  class="pageContent" style="padding:10px 0px 10px 22px"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
     </tr>
   </table></td>
   <td background="images/textxun.gif"></td>
  </tr>
  <tr>
   <td class="icon-2"><img  src="images/bobullet2.gif" border="0"/></td>
   <td colspan="2" align="center" background="images/bobullet4.gif">
   <table border="0" cellpadding="0" cellspacing="0">
     <tr>
<xsl:call-template name="BOTTOM-MENU"/>
     </tr>
   </table></td>
   <td class="icon-2"><img src="images/bobullet5.gif" border="0" /></td>
  </tr>
  <tr>
   <td colspan="4" align="center">
   <table height="73" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td class="boright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
     </tr>
   </table>
   </td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
       <td width="42" rowspan="2" ></td>
       <td width="123" height="22" class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       <td width="31" align="center" ><img src="images/subbullet.gif" /></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
       <td width="42" rowspan="2" ></td>
       <td height="22"><a href='{@HREF}' class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       <td width="31" align="center"><img src="images/subbullet.gif" /></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
       <td height="5" background="images/subbulletxian.gif"></td>
       <td height="5" background="images/subleft.gif"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td align="center" valign="middle" background="images/bobullet4.gif"><a href='{@HREF}' class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><br/>
</a> <img src="images/bulletbo.gif" vspace="3"/></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td align="center" valign="middle" background="images/bobullet4.gif"><a href='{@HREF}' class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><br/>
</a> <img src="images/bulletbo.gif" vspace="3"/></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td align="center" class="icon" valign="bottom"><img src="images/bobullet3.gif" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
